package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Categories generated by hbm2java
 */
@Entity
@Table(name="categories"
    ,catalog="openbravopos"
    , uniqueConstraints = @UniqueConstraint(columnNames="NAME") 
)
public class Categories  implements java.io.Serializable {


     private String id;
     private Categories categories;
     private String name;
     private byte[] image;
     private Set<Categories> categorieses = new HashSet<Categories>(0);
     private Set<Products> productses = new HashSet<Products>(0);

    public Categories() {
    }

	
    public Categories(String id, String name) {
        this.id = id;
        this.name = name;
    }
    public Categories(String id, Categories categories, String name, byte[] image, Set<Categories> categorieses, Set<Products> productses) {
       this.id = id;
       this.categories = categories;
       this.name = name;
       this.image = image;
       this.categorieses = categorieses;
       this.productses = productses;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="PARENTID")
    public Categories getCategories() {
        return this.categories;
    }
    
    public void setCategories(Categories categories) {
        this.categories = categories;
    }

    
    @Column(name="NAME", unique=true, nullable=false)
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="IMAGE")
    public byte[] getImage() {
        return this.image;
    }
    
    public void setImage(byte[] image) {
        this.image = image;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="categories")
    public Set<Categories> getCategorieses() {
        return this.categorieses;
    }
    
    public void setCategorieses(Set<Categories> categorieses) {
        this.categorieses = categorieses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="categories")
    public Set<Products> getProductses() {
        return this.productses;
    }
    
    public void setProductses(Set<Products> productses) {
        this.productses = productses;
    }




}


